## openjade 1.4devel1

=== testsuite/Makefile ===
# OpenJade testsuite makefile
# Copyright (C) 1999 Avi Kivity

JADE=../jade/openjade
JADEX=$(JADE) -c ../dsssl/catalog

all: expr-lang.expected contains.expected specificity.expected query-root.expected
	@echo All tests passed.

%.expected: %.actual
	diff $< $@

expr-lang.actual: $(JADE)
	$(JADEX) -t sgml -d expr-lang.dsl null.sgml > $@
    
contains.actual: $(JADE)
	$(JADEX) -t fot -d contains.dsl -o $@ contains.sgml 

specificity.actual: $(JADE)
	$(JADEX) -t fot -d specificity.dsl -o $@ specificity.sgml 

query-root.actual: $(JADE)
	$(JADEX) -t fot -d query-root.dsl -o $@ query-root.sgml 

clean:
	rm *.actual

=== debian/changelog ===
openjade (1.4devel1-23.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitly require root for building openjade.
    (Closes: #1091652)

 -- Niels Thykier <niels@thykier.net>  Sun, 29 Dec 2024 10:32:32 +0000

openjade (1.4devel1-23.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop usage of obsolete dh_buildinfo (Closes: #1088387)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Dec 2024 01:14:45 +0100

openjade (1.4devel1-23.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063092

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 12:32:43 +0000

openjade (1.4devel1-23) unstable; urgency=medium

  * Reverted innocuous looking change to FlowObj.cxx in 21.4 which caused
    regression (e.g., DocBook tables no longer formatted correctly).
  * Updated to source format 3.0 (quilt) (Closes: #1007052).
  * Updated to debhelper compatibility level 13. 

 -- Neil Roeth <neil@debian.org>  Tue, 02 Jan 2024 23:39:03 -0500

openjade (1.4devel1-22) unstable; urgency=medium

  * Updated Makefile.am, configure.in to resolve FTBFS (Closes: #978337)
  * Replaced dh_clean -k and dh_clean -d with dh_prep (Closes: #901229)
  * Multiarchified libostyle1c2 (Closes: #891394)

 -- Neil Roeth <neil@debian.org>  Sat, 02 Jan 2021 10:57:37 -0500

openjade (1.4devel1-21.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bernhard Übelacker ]
  * Fix segfault caused by "no return statement in function returning
    non-void" and other warnings. (Closes: #975242, #489482)

 -- Christoph Berg <myon@debian.org>  Thu, 17 Dec 2020 16:25:32 +0100

openjade (1.4devel1-21.3) unstable; urgency=low

  * Non-maintainer upload.
  * Pass -fno-lifetime-dse to GCC to work around invalid assumptions about
    object lifetimes (closes: #823419). Thanks to Daniel Schepler for the bug
    report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 01 Oct 2016 17:01:25 +0200

openjade (1.4devel1-21.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move to debhelper compat level 9. (Closes: #817606)
    - Don't use brace expansion in debian/libostyle-dev.install.

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Sep 2016 14:09:33 +0200

openjade (1.4devel1-21.1) unstable; urgency=medium

  [ Wookey ]
  * Add acinclude.m4 macro to find correct intlh header whether or
    not gettext is present (Closes: #748626, #759100)
  * Update rules file to use dh-autoreconf rather than manual commands
    and update configure.in enough for autoreconf to work

  [ Andreas Barth ]
  * Non-maintainer upload.
  * Update configure.in to set PACKAGE_TARNAME to mixed case.
  * Create po/Makevars with copyright hint to individual pot files
    and DOMAIN=jade.

 -- Andreas Barth <aba@ayous.org>  Sun, 24 Aug 2014 12:47:55 +0000

openjade (1.4devel1-21) unstable; urgency=low

  * Added dependency on libperl4-corelibs-perl for getopts.pl. (Closes:
    #724728).
  * Added explicit dependency on libostyle1c2 to libostyle-dev to ensure
    there are no broken symlinks when installed. (Closes: #715098).
  * Added man page to update-alternatives. (Closes: #662887).

 -- Neil Roeth <neil@debian.org>  Sat, 12 Oct 2013 21:09:50 -0400

openjade (1.4devel1-20.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: make[1]: *** No targets specified and no makefile found.
    Stop.": fix target dependencies in debian/rules.
    (Closes: #666346)

 -- gregor herrmann <gregoa@debian.org>  Tue, 01 May 2012 17:27:19 +0200

openjade (1.4devel1-20) unstable; urgency=low

  * Resolved lintian warnings:
  - about shlibs
  - added debian/source/format
  - added build-arch and build-indep target to debian/rules
  * Updated to policy 3.9.2.0:
  - Removed obsolete -D_REENTRANT option.
  * Removed unnecessary lintian override.
  
 -- Neil Roeth <neil@debian.org>  Sat, 06 Aug 2011 10:43:48 -0400

openjade (1.4devel1-19.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build with -fpermissive to fix build failure with GCC 4.6
    (Closes: #624872).
  * Don't ship .la files.

 -- Luk Claes <luk@debian.org>  Fri, 01 Jul 2011 19:39:11 +0200

openjade (1.4devel1-19) unstable; urgency=low

  * Ensure it builds with g++ 4.3

 -- Neil Roeth <neil@debian.org>  Thu, 24 Jul 2008 07:46:05 -0400

openjade (1.4devel1-18) unstable; urgency=low

  * debian/rules: COPYING inadvertently was changed to GPL, which applies
    to debian/ dir, not whole package.  Reverted back to COPYING from
    upstream, which appears to be BSD-derived. Does away with cmp that
    caused FTBFS in prior Debian version.

 -- Neil Roeth <neil@debian.org>  Thu, 31 Aug 2006 21:33:06 -0400

openjade (1.4devel1-17) unstable; urgency=low

  * debian/rules: Fix FTBFS, thanks to Julien Danjou (closes: #383772)

 -- Neil Roeth <neil@debian.org>  Sat, 19 Aug 2006 13:18:11 -0400

openjade (1.4devel1-16) unstable; urgency=low

  * Fixed "openjade: FTBFS: bashisms in debian/rules", thanks to Julien
    Danjou (closes: #376481)

 -- Neil Roeth <neil@debian.org>  Mon,  3 Jul 2006 22:20:33 -0400

openjade (1.4devel1-15) unstable; urgency=low

  * Compiled against new libosp5.

 -- Neil Roeth <neil@debian.org>  Sun,  8 Jan 2006 07:59:04 -0500

openjade (1.4devel1-14) unstable; urgency=low

  * Added dh-buildinfo.
  * Updated FSF location in COPYING. (closes: #314414)
  * Update for g++ 4.0 transition - depend on libosp4c2. (closes: #321543)
  * debian/rules: Backed optimization down from -O3 to -O2 to avoid ICE in
    g++ while compiling GroveBuilder.
  * Change "it's" to "its" in Description. (closes: #268534, #277258)

 -- Neil Roeth <neil@debian.org>  Mon,  8 Aug 2005 21:57:08 -0400

openjade (1.4devel1-13) unstable; urgency=low

  * Compiled against new libosp4.
  * Moved debhelper compatibility level from debian/rules to debian/compat.
  * Revamped debian/rules - used debhelper to simplify it greatly.
  * Moved include files from openjade package to libostyle-dev package.


=== debian/control ===
Source: openjade
Section: text
Priority: optional
Maintainer: Neil Roeth <neil@debian.org>
Homepage: http://openjade.sourceforge.net/
Rules-Requires-Root: binary-targets
Standards-Version: 3.9.2.0
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>> 13.0.0), debhelper-compat (=13),
 libosp-dev (>= 1.5.1.0-2.1), gettext, libperl4-corelibs-perl

Package: openjade
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libostyle-dev (<< 1.4devel1-14)
Suggests: doc-base, sgml-data
Description: Implementation of the DSSSL language
 OpenJade is an implementation of the ISO/IEC 10179:1996 standard
 DSSSL language.  It is based on James Clark's Jade software.
 .
 The OpenJade processor, in conjunction with a DSSSL style sheet, is
 capable of translating SGML documents into other formats.  Output
 formats currently supported are RTF, HTML, MIF, JadeTeX, or an XML
 representation of the flow object tree.  Using its own non-standard
 system, it is also capable of transforming one SGML or XML DTD to
 another.
 .
 Author:   The OpenJade Team <jade-devel@infomansol.com>

Package: libostyle1t64
Provides: ${t64:Provides}
X-Time64-Compat: libostyle1c2
Breaks: libostyle1c2 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libostyle1c2, libostyle1
Conflicts: libostyle1
Description: Runtime libraries for OpenJade
 OpenJade's shared libraries, runtime support.  Includes libogrove,
 providing an abstract interface to groves; libospgrove, an interface
 to groves on top of the OpenSP suite; and libostyle, the actual DSSSL
 style engine.
 .
 This shared library is used by the openjade package.

Package: libostyle-dev
Architecture: any
Section: libdevel
Depends: libostyle1t64(= ${binary:Version}), ${misc:Depends}
Conflicts: openjade (<< 1.4devel1-14)
Description: OpenJade libraries, developer support
 Contains include files and the static library for libogrove,
 libospgrove, and libostyle.  This is useful for those developing on
 top of the OpenJade grove or DSSSL engine.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

pkg			:= openjade
pkg-openjade		:= $(pkg)
pkg-libostyle		:= libostyle1c2
pkg-libostyle-dev	:= libostyle-dev

# build tool abstraction
install_	:= install -o root -g root -p
install_file	:= install -o root -g root -m 644 -p
install_script	:= install -o root -g root -m 755 -p
install_program	:= install -o root -g root -m 755 -p
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  install_program += --strip
endif
make_directory	:= install -d -o root -g root -m 755
compress	:= gzip -9f

CFLAGS		:= $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS	:= $(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS	:= $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS		:= $(shell dpkg-buildflags --get LDFLAGS)
export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

ifneq (,$(findstring hppa,$(DEB_BUILD_ARCH)))
  CFLAGS += -ffunction-sections
  CXXFLAGS += -ffunction-sections
endif
CXXFLAGS += -fno-lifetime-dse  # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=69534

# flags to get automake to use the above
inst_flags	:= INSTALL='$(install_)'
inst_flags	+= INSTALL_PROGRAM='$(install_program)'
inst_flags	+= INSTALL_SCRIPT='$(install_script)'
inst_flags	+= INSTALL_DATA='$(install_file)'

# first version of package providing the right shlibs
SHLIBS_PKGVER	:= 1.4devel1-11

clean:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean || true
	find . -type l | xargs rm -f
	rm -f Makefile config.log config.status libtool \
	    po/Makefile po/Makefile.in po/POTFILES stamp-h1 \
	    contrib/Makefile contrib/Makefile.in unicode/Makefile unicode/Makefile.in
	# The build process doesn't handle this properly, force a rebuild
	-rm -f style/InterpreterMessages.cxx style/InterpreterMessages.h \
	    style/DssslAppMessages.h jade/JadeMessages.h \
	    jade/RtfMessages.h jade/HtmlMessages.h jade/TeXMessages.h \
	    jade/MifMessages.h
	dh_autoreconf_clean
	dh_clean configure-stamp build-stamp install-stamp debian/copyright

configure: configure-stamp
configure-stamp:
	dh_autoreconf
	dh_auto_configure -- --enable-http --enable-shared --enable-static
	touch $@


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir jade
	$(MAKE) SUBDIRS="grove spgrove style"
	$(MAKE)
	touch $@


# Upstream copyright notice only appears in README; for Debian, it must be in
# copyright file.  COPYING is the license, which appears to be BSD derived
# (similar wording, with "Regents" changed to "James Clark"). Create
# debian/copyright with all the right information.
debian/copyright: README debian/license.Debian debian/copyright.Debian
	cat $^ > $@

# Install into DESTDIR, then move everything later. CURDIR is set by make.
DESTDIR = $(CURDIR)/debian/tmp
export DESTDIR
install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install $(inst_flags)
	touch $@

clean-install:
	rm -fr debian/tmp
	rm install-stamp

binary-indep: install
# There are no architecture-independent binary packages generated from this
# source package.

binary-arch: install debian/copyright debian/README.Debian 
	dh_testdir
	dh_testroot
	rm -f debian/*.debhelper
	dh_prep -X tmp

	dh_installdirs
	dh_installdocs
	dh_installchangelogs -A ChangeLog

	mkdir -p $(DESTDIR)/usr/share/man/man1 && \
	cp -p debian/openjade.1 \
		$(DESTDIR)/usr/share/man/man1/openjade-1.4devel.1
	dh_installman -p openjade

	cp -p $(DESTDIR)/usr/bin/openjade $(DESTDIR)/usr/bin/openjade-1.4devel
	dh_install

	dh_installcatalogs

	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs
	dh_shlibdeps -L $(pkg-libostyle) -l debian/$(pkg-libostyle)/usr/lib

	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: clean build install binary-indep binary-arch binary

# vim: set syntax=makefile:
# Local variables:
# compile-command: "cd .. && fakeroot dpkg-buildpackage -uc -us"
# End:
